Skip to main content
GET
/
token
/
balance
/
historical
Get Address Token Balance History
curl --request GET \
  --url https://api-test.uniblock.dev/uni/v1/token/balance/historical \
  --header 'X-API-KEY: <api-key>'
{
  "balances": [
    {
      "contractAddress": "0xdAC17F958D2ee523a2206206994597C13D831ec7",
      "balance": "199999999999",
      "formattedBalance": "19.9999999999",
      "name": "Ethereum",
      "symbol": "ETH",
      "logo": "https://assets.coingecko.com/coins/images/279/large/ethereum.png",
      "decimals": "18",
      "associatedTokenAddress": "EkSPbKodUFbYmsX5LuvfnSoRAozZ3kxT9wy71pf6eL2d"
    }
  ],
  "cursor": "ALC_MHgyMzEyZjAwMTQ5ZDAxMDgwNmQ5ZWY2ZjNlYTMyMGViMWUxYTZiYzhlOjB4MDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDFhYTpmYWxzZQ==",
  "blockNumber": "17941778",
  "timestamp": "17941778"
}

Authorizations

X-API-KEY
string
header
required

API key to access the API (optional)

Query Parameters

chainId
enum<number>
default:1
required

Unique identifier for a blockchain network.

Available options:
1,
10,
100,
10200,
11155111,
11155420,
11297108109,
1135,
1284,
1285,
137,
2020,
25,
250,
369,
4002,
4202,
42161,
421614,
43114,
545,
56,
59141,
59144,
747,
80002,
8453,
84532,
88882,
88888,
97
Example:

1

walletAddress
string
default:0x8D97689C9818892B700e27F316cc3E41e17fBeb9
required

The address of the wallet to query.

Example:

"0x8D97689C9818892B700e27F316cc3E41e17fBeb9"

timestamp
number
default:1625097600

The timestamp of the historical balance to query.

Example:

1625097600

blockNumber
number

The block number of the historical balance to query.

cursor
string

Cursor from previous query to get next page of results.

includeRaw
boolean

Returns the raw data given by the provider. WARNING: removes backup feature, and raw data returned is not normalized which might make switching providers difficult

Example:

null

provider
enum<string>

Overrides our autorouting. Only specify this parameter if you would like to specify only a single provider to use for this request.

Available options:
GoldRush,
Moralis

Response

200 - application/json
balances
object[]
required
cursor
string
required
Example:

"ALC_MHgyMzEyZjAwMTQ5ZDAxMDgwNmQ5ZWY2ZjNlYTMyMGViMWUxYTZiYzhlOjB4MDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDFhYTpmYWxzZQ=="

blockNumber
string
required
Example:

"17941778"

timestamp
string
required
Example:

"17941778"